Bug 71698 - Remove initWebKitAnimationEvent method
: Remove initWebKitAnimationEvent method
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: HTML DOM
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To: Dominic Cooney
:
Depends on:
Blocks: 68791
  Show dependency treegraph
 
Reported: 2011-11-07 09:02 PST by Dominic Cooney
Modified: 2011-12-27 18:48 PST (History)
3 users (show)

See Also:


Attachments
Patch (7.42 KB, patch)
2011-11-07 09:06 PST, Dominic Cooney
ojan: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dominic Cooney 2011-11-07 09:02:27 PST
Code Search indicates that nobody uses this. Now that WebKitAnimationEvent has a constructor, we should remove this method.
Comment 1 Dominic Cooney 2011-11-07 09:06:16 PST
Created attachment 113878 [details]
Patch
Comment 2 Ojan Vafai 2011-11-07 09:24:19 PST
Comment on attachment 113878 [details]
Patch

Are there already tests for the constructor version?
Comment 3 Dominic Cooney 2011-11-07 09:46:17 PST
(In reply to comment #2)
> (From update of attachment 113878 [details])
> Are there already tests for the constructor version?

Yes, in fast/events/constructors/webkit-animation-event-constructor.html. Should I note that in the ChangeLog?
Comment 4 Ojan Vafai 2011-11-07 10:13:41 PST
(In reply to comment #3)
> (In reply to comment #2)
> > (From update of attachment 113878 [details] [details])
> > Are there already tests for the constructor version?
> 
> Yes, in fast/events/constructors/webkit-animation-event-constructor.html. Should I note that in the ChangeLog?

No, that's fine. I just wanted to be sure we weren't losing test coverage.
Comment 5 Dominic Cooney 2011-11-07 10:53:31 PST
Comment on attachment 113878 [details]
Patch

Don’t want to commit this yet until I confirm the CSS3 Animations spec deprecates initAnimationEvent.
Comment 6 Dominic Cooney 2011-12-25 22:06:43 PST
Comment on attachment 113878 [details]
Patch

Remove this from CQ for now.

I filed <https://www.w3.org/Bugs/Public/show_bug.cgi?id=15338> to change the CSS Animations spec to remove this method.
Comment 7 Ojan Vafai 2011-12-26 10:07:17 PST
I don't think you need to wait for the spec to be updated here. The platform as a whole is clearly moving in this direction, so it seems very unlikely to me that this spec won't be updated eventually to match. The longer this stays in trunk, the more likely we'll get stuck unable to remove it due to compatibility concerns.

Filing the spec bug is important of course.
Comment 8 Dominic Cooney 2011-12-27 18:48:03 PST
Committed r103751: <http://trac.webkit.org/changeset/103751>